Subject: RE: [mobile-ip] Re: Address to use in the SA between FA-HA

From: "Kuntal Chowdhury" <[email-masked]>
Date: Wed, 29 May 2002 11:03:05 -0500

Hello Tony,
This may have a minor impact on 3GPP2, because we use RADIUS for Mobile IPv4
support. The FA-HA security key calculation includes the "FA IP address",
however the definition of the "FA IP address" is not clear in the current
3GPP2 standard. Although I don't anticipate any major problem, I have
started a discussion thread in 3GPP2 and I will let you know ASAP.

Regards,
Kuntal

> -----Original Message-----
> From: Tony Johansson [mailto:[email-masked]]
> Sent: Tuesday, May 28, 2002 6:06 PM
> To: Fredrik Johansson; MobileIP
> Cc: Charlie Perkins; Phil Roberts; Basavaraj Patil; Kevin 
> Purser; Johan
> Johansson
> Subject: [mobile-ip] Re: Address to use in the SA between FA-HA
> 
> 
> All,
> 
> I agree with Fredrik. Thus, always use the CoA.
> 
> I haven't seen any objection to this, so can I assume that this is the
> consensus? If no objections / comments I will assume that 
> this is the case and
> don't make any changes regarding this to the Diameter MIPv4 
> application draft.
> 
> Regards,
> 
> /Tony
> 
> Fredrik Johansson wrote:
> 
> > Hi,
> >
> > RFC 3220 doesn't define which address to use when creating 
> the SA between
> > the FA and HA. I have always assumed that it was the 
> care-of-address in the
> > registration request header, but considering the case when a mobile
> > registers with an FA just because it has set the 'R'-bit in its
> > advertisement. The rfc doesn't say which Ip address to use 
> in this case, the
> > CoA or the source address of the incoming reguest.
> >
> > This will cause interoperability problems within mobile ip 
> itself, and also
> > affects other protocols such as Diameter. The best would be 
> to always use
> > the CoA since the incoming request may not always have a 
> source address
> > (e.g. when coming via a Diameter Request).
> >
> > /Fredrik
> 
>

---

From: Johan Johansson <[email-masked]>
Date: Wed, 29 May 2002 18:51:44 +0200

All,

Please note that this is an issue neither with RADIUS nor with Diameter 
but with MobileIP itself. I find it puzzling that nobody from the core 
MobileIP community has voiced an opinon in the matter since surely this 
must be resolved for any two implementations to be able to communicate 
under several possible scenarios, including the scenario Fredrik 
described and a NATed FA with a separate control traffic interface.

Discussions by the 3GPP2 wg is certainly interesting but as far as I can 
tell, and *do please* tell me if I am wrong, the MobileIP standard still 
needs to be fixed.

j

Kuntal Chowdhury wrote:

> Hello Tony,
> This may have a minor impact on 3GPP2, because we use RADIUS for 
> Mobile IPv4 support. The FA-HA security key calculation includes the 
> "FA IP address", however the definition of the "FA IP address" is not 
> clear in the current 3GPP2 standard. Although I don't anticipate any 
> major problem, I have started a discussion thread in 3GPP2 and I will 
> let you know ASAP.
>
> Regards,
> Kuntal
>
>

---

From: Tony Johansson <[email-masked]>
Date: Wed, 29 May 2002 09:58:01 -0700

Hello Kuntal,

I'm sorry if I confused you. The issue is how the 'R'-bit text
description in RFC3220 should be interpreted, see Fredrik's description
below and the previous mail thread regarding the 'R'-bit...

Regards,

/Tony

---

From: Tony Johansson <[email-masked]>
Date: Wed, 29 May 2002 10:32:03 -0700

Hello Johan,

Johan Johansson wrote:

> but with MobileIP itself.

I agree. However, depending on how the 'R'-bit should be interpreted in
RFC3220 it may cause additional functionality to Diameter and RADIUS as
previously mentioned. So, we really need to get some consensus on this thread
asap.

Regards,

/Tony